Index: src/interfaces/jdbc/org/postgresql/test/TestUtil.java
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/test/TestUtil.java,v
retrieving revision 1.3
diff -c -r1.3 TestUtil.java
*** src/interfaces/jdbc/org/postgresql/test/TestUtil.java	1 Oct 2002 00:39:02 -0000	1.3
--- src/interfaces/jdbc/org/postgresql/test/TestUtil.java	4 Nov 2003 03:57:57 -0000
***************
*** 13,18 ****
--- 13,42 ----
  	 */
  	public static String getURL()
  	{
+ 		return "jdbc:postgresql://"+getServer()+":"+getPort()+"/"+getDatabase();
+ 	}
+ 
+ 	/*
+ 	 * Returns the Test server
+ 	 */
+ 	public static String getServer()
+ 	{
+ 		return System.getProperty("server");
+ 	}
+ 
+ 	/*
+ 	 * Returns the Test port
+ 	 */
+ 	public static int getPort()
+ 	{
+ 		return Integer.parseInt(System.getProperty("port"));
+ 	}
+ 
+ 	/*
+ 	 * Returns the Test database
+ 	 */
+ 	public static String getDatabase()
+ 	{
  		return System.getProperty("database");
  	}
  
